Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01753 Graphics Minor Always Apr 26, 2008, 12:43 May 19, 2010, 20:01
Tester LastNinja2 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver system1.cpp
Version 0.124u4 Fixed in Version Build Normal
Summary 01753: wbmlbg: A couple of graphics bugs
Description I've noticed a couple of graphics bugs that always appears in this bootleg, albeit i don't know if the emulation is correct or not in this case.

The first one is in round 2. Go inside the Shields Shop and select the left shield: many glitches will appear around the sceen and some of them (noticeably under the coin indicator and on the right side of the screen) will remain until you finish the stage.

Another bug appears when you fight Sphinx in round 6: select the answers and you'll see a lot of glitches to appear everywhere. Again, they disappear when the stage is over.
Steps To Reproduce
Additional Information See attached snapshots.
Flags
Regression Version
Affected Sets / Systems wbmlbg
Attached Files
png file icon 0001.png (5,688 bytes) Apr 26, 2008, 12:43
png file icon 0002.png (5,048 bytes) Apr 26, 2008, 12:43
png file icon 0003.png (6,291 bytes) Apr 26, 2008, 12:43
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.00823
Tafoid
Administrator
Apr 26, 2008, 17:22
edited on: Apr 10, 2009, 14:48
Confirmed at least the Round 2 bug. Notice there is no text being printed in the box either... this corruption is probably the missing text but not being pushed on screen at the right time? Just based on other bugs and one recently with 01145 - fixed when the cpu speed was adjusted. Purely speculation though.

EDIT: Still a problem after rewrite of 0.130u3
User avatar
No.06140
tami
Tester
May 19, 2010, 09:59
I just got this PCB from a ebay deal and it shows the same issues. So probably not a emulator only issue.
User avatar
No.06145
Haze
Senior Tester
May 19, 2010, 18:00
yeah, almost certainly errors in the bootleg, things the bootleggers missed when hacking up all the text etc.
User avatar
No.06146
hap
Developer
May 19, 2010, 20:01
ok, let's close it